Subject: bug#9681: Broken behaviour of re-search-backward (.+ matching only a single character)

From: Stefan Monnier <[email-masked]>
Date: Mon, 10 Oct 2011 23:56:27 -0400

>> It's not the ideal behavior, admittedly.  It's even more obvious in
>> `looking-back'.  But fixing it would require the implementation of
>> a backward regexp matcher.
> FYI, in Mule (the version before integrating into Emacs), we
> implemented such a feature by doing these:

I actually think it would be nice to have such a thing, but I also think
it'd be more important to have a non-backtracking regexp matcher.

> multilingual feature.  And actually, that feature had been
> used very rarely.

Indeed, it's not often needed, but those few cases can be significant.

        Stefan